Loading...
Searching...
No Matches
jni::TypedMethods< jlong > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallLongMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualLongMethod
static constexpr auto | GetField = &JNIEnv::GetLongField
static constexpr auto | SetField = &JNIEnv::SetLongField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticLongMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticLongField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticLongField
static constexpr auto | NewArray = &JNIEnv::NewLongArray
static constexpr auto | GetArrayElements = &JNIEnv::GetLongArrayElements
static constexpr auto | ReleaseArrayElements = &JNIEnv::ReleaseLongArrayElements
static constexpr auto | GetArrayRegion = &JNIEnv::GetLongArrayRegion
static constexpr auto | SetArrayRegion = &JNIEnv::SetLongArrayRegion

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jlong >::CallMethod = &JNIEnv::CallLongMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jlong >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualLongMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jlong >::CallStaticMethod = &JNIEnv::CallStaticLongMethod

static constexpr

## GetArrayElements

auto jni::TypedMethods< jlong >::GetArrayElements = &JNIEnv::GetLongArrayElements

static constexpr

## GetArrayRegion

auto jni::TypedMethods< jlong >::GetArrayRegion = &JNIEnv::GetLongArrayRegion

static constexpr

## GetField

auto jni::TypedMethods< jlong >::GetField = &JNIEnv::GetLongField

static constexpr

## GetStaticField

auto jni::TypedMethods< jlong >::GetStaticField = &JNIEnv::GetStaticLongField

static constexpr

## NewArray

auto jni::TypedMethods< jlong >::NewArray = &JNIEnv::NewLongArray

static constexpr

## ReleaseArrayElements

auto jni::TypedMethods< jlong >::ReleaseArrayElements = &JNIEnv::ReleaseLongArrayElements

static constexpr

## SetArrayRegion

auto jni::TypedMethods< jlong >::SetArrayRegion = &JNIEnv::SetLongArrayRegion

static constexpr

## SetField

auto jni::TypedMethods< jlong >::SetField = &JNIEnv::SetLongField

static constexpr

## SetStaticField

auto jni::TypedMethods< jlong >::SetStaticField = &JNIEnv::SetStaticLongField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/typed_methods.hpp